org.apache.fop.complexscripts.fonts

## Class GlyphTable.Rule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule

Direct Known Subclasses:
  GlyphTable.ClassSequenceRule, GlyphTable.CoverageSequenceRule, GlyphTable.GlyphSequenceRule

Enclosing class:
  GlyphTable

    public abstract static class GlyphTable.Rule
    extends Object

The `Rule` class implements an array of rule lookup records.

### Constructor Summary

Constructors
`protected` `Rule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength)` Instantiate a Rule.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getInputSequenceLength()`
`GlyphTable.RuleLookup[]` `getLookups()`
`void` `resolveLookupReferences(Map<String,GlyphTable.LookupTable> lookupTables)` Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Rule

    protected Rule(GlyphTable.RuleLookup[] lookups,
                   int inputSequenceLength)

Instantiate a Rule.

Parameters:
  `lookups` - the rule's lookups
  `inputSequenceLength` - the number of glyphs in the input sequence for this rule

### Method Detail

#### getLookups

    public GlyphTable.RuleLookup[] getLookups()

Returns:
  the lookups

#### getInputSequenceLength

    public int getInputSequenceLength()

Returns:
  the input sequence length

#### resolveLookupReferences

    public void resolveLookupReferences(Map<String,GlyphTable.LookupTable> lookupTables)

Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.

Parameters:
  `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`